<nav class="navbar-light breadcrumb-panel">
  <div class="row">
      <div class="col-md-12">
          <span class="ml-3">
              <span class="breadcrumb-heading" routerLink="/landing/onboardedData">{{onboardedDetailsContent.onboardedDetails.sources}}</span>
              <img src="assets/images/novartis/next.svg" alt="" class="nav-next" />
              <span class="table-name-custom-css">{{onboardedDataSetDetails?.business_nm}}</span>
          </span>
      </div>
  </div>
</nav>

<div class="blocks">
  <h6 class="ml-4 mt-3"><strong>{{onboardedDataSetDetails?.business_nm}}</strong></h6>
</div>
<div class="mx-4 mt-3 mb-3 s-tab">
  <ejs-tab id="secondary_tabs" #secondary_tabs heightAdjustMode="None" [animation]="tabAnimationSettings">
    <e-tabitems>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataDetailsOptions[0]}}</span>
        </ng-template>
        <ng-template #content>
          <div class="card-body ml-0 mt-3 pl-0">
            <div class="card">
              <div class="card-body">
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.providerName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.provider}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.businessName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.business_nm}}</span>
                  </div>
                </div>
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.dataSetName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.dataset_nm}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.description}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_desc}}</span>
                  </div>
                </div>
                <hr class="bg-light customHR">
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5 pr-0">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.fileName}}</span>
                    <span
                      class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.sample_file_nm}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.dataFeed.fileFormat.title}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_typ}}</span>
                  </div>
                </div>
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.header}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.header_info}}</span>
                  </div>
                </div>
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.extension}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_extn}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.dataFeed.fileDelimiter.title}}</span>
                    <span
                      class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_delimiter}}</span>
                  </div>
                </div>
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-4">{{onboardedDetailsContent.dataFeed.textQualifier.title}}</span>
                    <span
                      class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_text_qualifier}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-4">{{onboardedDetailsContent.dataFeed.encoding.title}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.obj_encoding}}</span>
                  </div>
                </div>
                <hr class="bg-light customHR">
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.tableName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.table_nm}}</span>
                  </div>
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.dataLayerName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.table_data_lyr_nm}}</span>
                  </div>
                </div>
                <div class="row col-md-11 mb-3">
                  <div class="col-md-5">
                    <span
                      class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.attributes.objectName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{onboardedDataSetDetails?.business_nm}}</span>
                  </div>
                </div>
                <hr class="bg-light customHR">
                <div class="row col-md-12 mb-3 mt-2 ml-1">
                  <div class="text-dark font-weight-bold col-md-4">
                    <strong>{{inboundDetails?.display_data_lyr_name}} {{onboardedDetailsContent.onboardedDetails.layer}}</strong></div>
                  <div class="text-dark font-weight-bold col-md-4">
                    <strong>{{landingDetails?.display_data_lyr_name}} {{onboardedDetailsContent.onboardedDetails.layer}}</strong></div>
                  <div class="text-dark font-weight-bold col-md-4">
                    <strong>{{archivalDetails?.display_data_lyr_name}} {{onboardedDetailsContent.onboardedDetails.layer}}</strong></div>
                </div>
                <div class="row col-md-12 mb-3">
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.dataLayerName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{inboundDetails?.data_lyr_name}}</span>
                  </div>
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.dataLayerName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{landingDetails?.data_lyr_name}}</span>
                  </div>
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.dataLayerName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{archivalDetails?.data_lyr_name}}</span>
                  </div>
                </div>
                <div class="row col-md-12 mb-3">
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.pathName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{inboundDetails?.abslt_path}}</span>
                  </div>
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.pathName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{landingDetails?.abslt_path}}</span>
                  </div>
                  <div class="col-md-4">
                    <span class="text-left text-dark font-weight-bold col-md-2">{{onboardedDetailsContent.onboardedDetails.pathName}}</span>
                    <span class="text-left text-muted font-weight-bold">{{archivalDetails?.abslt_path}}</span>
                  </div>
                </div>
                <!-- <div class="blocks col-md-8 mt-2">
                  <p class="text-left text-dark font-weight-bold">
                    <u><em><strong>{{onboardedDetailsContent.mainOnboard.subMenu.headerText[3].text}}</strong></em></u>
                  </p>
                </div> -->
                <!-- <ejs-accordion>
                <e-accordionitems>
                  <e-accordionitem *ngFor="let pocDetail of OnboardedPocDetails"
                  header="{{pocDetail.poc_nm}} ({{pocDetail.poc_group}})">
                    <ng-template #content>
                      <div class="blocks">
                        <span class="text-left text-dark font-weight-bold col-md-4">{{onboardedDetailsContent.pocDetails.pocEmail.title}}</span>
                        <label>{{pocDetail.poc_email}}</label>
                      </div>
                      <div class="blocks">
                        <span class="text-left text-dark font-weight-bold col-md-4">{{onboardedDetailsContent.pocDetails.pocPhone.title}}</span>
                        <label>{{pocDetail.poc_ph}}</label>
                      </div>
                    </ng-template>
                  </e-accordionitem>
                </e-accordionitems>
              </ejs-accordion> -->
              </div>
            </div>
          </div>
        </ng-template>
      </e-tabitem>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataDetailsOptions[1]}}</span>
        </ng-template>
        <ng-template #content>
          <ejs-grid [dataSource]="dataLayoutDetails" [allowPaging]="true" [allowSorting]="true" [allowResizing]="false"
            [allowReordering]="false" [pageSettings]="gridPageSettings" [allowTextWrap]="true" [toolbar]="gridToolbar"
            [showColumnChooser]="true">
            <e-columns>
              <e-column field="at_nm" headerText="{{onboardedDetailsContent.dataLayout.headerText.columnName}}"
                width='auto' textAlign="Left"></e-column>
              <e-column field="etl_nm" headerText="{{onboardedDetailsContent.dataLayout.headerText.stdColumnName}}"
                width='auto' textAlign="Left"></e-column>
              <e-column field="data_type" headerText="{{onboardedDetailsContent.dataLayout.headerText.dataType}}"
                width='auto' textAlign="Left"></e-column>
              <e-column field="col_loc" headerText="{{onboardedDetailsContent.dataLayout.headerText.columnLocation}}"
                width='auto' textAlign="Left"></e-column>
              <e-column field="t_col_loc"
                headerText="{{onboardedDetailsContent.dataLayout.headerText.stdColumnLocation}}" width='auto'
                textAlign="Left"></e-column>
              <e-column field="is_mandatory" headerText="{{onboardedDetailsContent.dataLayout.headerText.required}}"
                width='auto' textAlign="Left"></e-column>
              <e-column headerText="{{onboardedDetailsContent.dataLayout.headerText.format}}">
                <ng-template #template let-dataLayoutDetail>
                  <label>{{formatDisplayText(dataLayoutDetail.dt_typ)}}</label>
                </ng-template>
              </e-column>
            </e-columns>
          </ejs-grid>
          <span class="d-flex float-right top-minus-42 mr-2" id="customPagerTemplate">
            <span class="text-dark ml-5 mr-2 mt-1 pt-1"><small>Results Per Page</small></span>
            <span class="mt-1">
              <ejs-dropdownlist name="pageSize" cssClass="e-outline"
                [dataSource]="['All', '5', '10', '20', '30', '50', '100']" value="5" (change)="changePageSize($event)"
                width="75px">
              </ejs-dropdownlist>
            </span>
          </span>
          <span id="showResultsCountDetails" class="top-minus-5">
            <span class="text-muted">1-10 of {{gridResultsCountColumns}}</span>
          </span>
          <span id="columnChooserTemplateCols" class=" mr-0 top-minus-8">
            <button class="iconButton btn btn-primary" data-ripple="true" aria-label="Choose Columns To be Displayed">
              <img src="assets/images/novartis/column.svg" alt="Choose Columns" />
            </button>
          </span>
        </ng-template>
      </e-tabitem>
    </e-tabitems>
  </ejs-tab>
</div>